Create a team invite
curl --request POST \
--url https://api.basic.tech/team/{team_id}/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"roles": "<string>",
"username": "<string>",
"role_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.basic.tech/team/{team_id}/invite"
payload = {
"email": "<string>",
"roles": "<string>",
"username": "<string>",
"role_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
roles: '<string>',
username: '<string>',
role_name: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.basic.tech/team/{team_id}/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"team_id": "<string>",
"account_id": "<string>",
"roles": "<string>",
"role_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"email_or_username": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Teams
Create a team invite
Creates a new invite for a team
POST
/
team
/
{team_id}
/
invite
Create a team invite
Authorizations
bearerAuthapiKeyAuth
JWT Authorization Token header using the Bearer scheme
Path Parameters
The ID of the team to create an invite for
Body
application/json
- Option 1
- Option 2
The email of the account to invite to the team
The roles assigned to the team member
The username of the account to invite to the team
Optional display name for the role
Optional expiration date for the invite
Response
Member invite created successfully
Member invite created successfully
Show child attributes
Show child attributes
⌘I

